ALTER TABLE        counties 
  ADD CONSTRAINT     counties_state_fk 
  FOREIGN KEY        (state) 
  REFERENCES         State (state) 
  MATCH FULL;
ALTER TABLE        counties 
  ADD CONSTRAINT     counties_wfo_fk 
  FOREIGN KEY        (wfo) 
  REFERENCES         Wfo (wfo) 
  MATCH FULL;
ALTER TABLE        counties 
  ADD CONSTRAINT     counties_primbk_fk 
  FOREIGN KEY        (primary_back) 
  REFERENCES         Wfo (primary_back) 
  MATCH FULL;
ALTER TABLE        counties 
  ADD CONSTRAINT     counties_secbk_fk 
  FOREIGN KEY        (secondary_back) 
  REFERENCES         Wfo (secondary_back) 
  MATCH FULL;
ALTER TABLE        eligzon 
  ADD CONSTRAINT     eligzon_state_fk 
  FOREIGN KEY        (state) 
  REFERENCES         state (state) 
  MATCH FULL;
ALTER TABLE        Location 
  ADD CONSTRAINT     location_cnty_fk 
  FOREIGN KEY        (county, state) 
  REFERENCES         Counties (county, state) 
  MATCH FULL;
ALTER TABLE        Location 
  ADD CONSTRAINT     location_hsa_fk 
  FOREIGN KEY        (hsa) 
  REFERENCES         Hsa (hsa) 
  MATCH FULL;
ALTER TABLE        Location 
  ADD CONSTRAINT     location_net_fk 
  FOREIGN KEY        (network) 
  REFERENCES         Network (network) 
  MATCH FULL;
ALTER TABLE        Location 
  ADD CONSTRAINT     location_rfc_fk 
  FOREIGN KEY        (rfc) 
  REFERENCES         Rfc (rfc) 
  MATCH FULL;
ALTER TABLE        Location 
  ADD CONSTRAINT     location_wfo_fk 
  FOREIGN KEY        (wfo) 
  REFERENCES         Wfo (wfo) 
  MATCH FULL;
ALTER TABLE        Location 
  ADD CONSTRAINT     location_tz_fk 
  FOREIGN KEY        (tzone) 
  REFERENCES         TimeZone (tzone) 
  MATCH FULL;
ALTER TABLE        Riverstat 
  ADD CONSTRAINT     riverstat_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Location (lid) 
  MATCH FULL;
ALTER TABLE        Reservoir 
  ADD CONSTRAINT     reservoir_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         location (lid) 
  MATCH FULL;
ALTER TABLE        Reservoir 
  ADD CONSTRAINT     reservoir_rownr_fk 
  FOREIGN KEY        (owner) 
  REFERENCES         ResOwner (owner) 
  MATCH FULL;
ALTER TABLE        Reservoir 
  ADD CONSTRAINT     reservoir_dtype_fk 
  FOREIGN KEY        (type) 
  REFERENCES         DamTypes (type) 
  MATCH FULL;
ALTER TABLE        benchmark 
  ADD CONSTRAINT     benchmark_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        contacts 
  ADD CONSTRAINT     contact_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         location (lid) 
  MATCH FULL;
ALTER TABLE        countynum 
  ADD CONSTRAINT     countynum_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         location (lid) 
  MATCH FULL;
ALTER TABLE        countynum 
  ADD CONSTRAINT     countynum_cnt_fk 
  FOREIGN KEY        (county, state) 
  REFERENCES         counties (county, state) 
  MATCH FULL;
ALTER TABLE        crest 
  ADD CONSTRAINT     crest_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        datum 
  ADD CONSTRAINT     datum_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        dcp 
  ADD CONSTRAINT     dcp_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         location (lid) 
  MATCH FULL;
ALTER TABLE        dcp 
  ADD CONSTRAINT     dcp_dcpowner_fk 
  FOREIGN KEY        (owner) 
  REFERENCES         DcpOwner (owner) 
  MATCH FULL;
ALTER TABLE        DataLimits 
  ADD CONSTRAINT     datalimits_dur_fk 
  FOREIGN KEY        (dur) 
  REFERENCES         ShefDur (dur) 
  MATCH FULL;
ALTER TABLE        DataLimits 
  ADD CONSTRAINT     datalimits_pe_fk 
  FOREIGN KEY        (pe) 
  REFERENCES         ShefPe (pe) 
  MATCH FULL;
ALTER TABLE        descrip 
  ADD CONSTRAINT     descrip_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        descrip 
  ADD CONSTRAINT     descrip_prox_fk 
  FOREIGN KEY        (proximity) 
  REFERENCES         proximity (proximity) 
  MATCH FULL;
ALTER TABLE        flood 
  ADD CONSTRAINT     flood_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        floodcat 
  ADD CONSTRAINT     floodcat_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        floodstmt 
  ADD CONSTRAINT     floodstmt_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        gage 
  ADD CONSTRAINT     gage_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Riverstat (lid) 
  MATCH FULL;
ALTER TABLE        gage 
  ADD CONSTRAINT     gage_gagetype_fk 
  FOREIGN KEY        (type) 
  REFERENCES         GageType (type) 
  MATCH FULL;
ALTER TABLE        gage 
  ADD CONSTRAINT     gage_gagemaint_fk 
  FOREIGN KEY        (maint) 
  REFERENCES         GageMaint (maint) 
  MATCH FULL;
ALTER TABLE        gage 
  ADD CONSTRAINT     gage_gageowner_fk 
  FOREIGN KEY        (owner) 
  REFERENCES         GageOwner (owner) 
  MATCH FULL;
ALTER TABLE        RpfFcstPoint 
  ADD CONSTRAINT     rpffcstpnt_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Riverstat (lid) 
  MATCH FULL;
ALTER TABLE        RpfFcstPoint 
  ADD CONSTRAINT     rpffcstpnt_grp_fk 
  FOREIGN KEY        (group_id) 
  REFERENCES         RpfFcstGroup (group_id) 
  MATCH FULL;
ALTER TABLE        RpfFcstPoint 
  ADD CONSTRAINT     rpffcstpnt_pbck_fk 
  FOREIGN KEY        (primary_back) 
  REFERENCES         Hsa (primary_back) 
  MATCH FULL;
ALTER TABLE        RpfFcstPoint 
  ADD CONSTRAINT     rpffcstpnt_sbck_fk 
  FOREIGN KEY        (secondary_back) 
  REFERENCES         Hsa (secondary_back) 
  MATCH FULL;
ALTER TABLE        locimage 
  ADD CONSTRAINT     locimage_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Location (lid) 
  MATCH FULL;
ALTER TABLE        LineSegs 
  ADD CONSTRAINT     linesegs_garea_fk 
  FOREIGN KEY        (area_id) 
  REFERENCES         GeoArea (area_id) 
  MATCH FULL;
ALTER TABLE        LocExtAgency 
  ADD CONSTRAINT     locextagncy_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Location (lid) 
  MATCH FULL;
ALTER TABLE        LocDataLimits 
  ADD CONSTRAINT     locdatalim_dur_fk 
  FOREIGN KEY        (dur) 
  REFERENCES         ShefDur (dur) 
  MATCH FULL;
ALTER TABLE        LocDataLimits 
  ADD CONSTRAINT     locdatalim_pe_fk 
  FOREIGN KEY        (pe) 
  REFERENCES         ShefPe (pe) 
  MATCH FULL;
ALTER TABLE        lowwater 
  ADD CONSTRAINT     lowwater_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        observer 
  ADD CONSTRAINT     observer_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Location (lid) 
  MATCH FULL;
ALTER TABLE        observer 
  ADD CONSTRAINT     observer_comm_fk 
  FOREIGN KEY        (comm) 
  REFERENCES         CoopComms (comm) 
  MATCH FULL;
ALTER TABLE        observer 
  ADD CONSTRAINT     observer_recip_fk 
  FOREIGN KEY        (recip) 
  REFERENCES         CoopRecip (recip) 
  MATCH FULL;
ALTER TABLE        observer 
  ADD CONSTRAINT     observer_spons_fk 
  FOREIGN KEY        (spons) 
  REFERENCES         CoopSpons (spons) 
  MATCH FULL;
ALTER TABLE        observer 
  ADD CONSTRAINT     observer_state_fk 
  FOREIGN KEY        (state) 
  REFERENCES         State (state) 
  MATCH FULL;
ALTER TABLE        OFSDataTrans 
  ADD CONSTRAINT     ofsdatatrans_pe_fk 
  FOREIGN KEY        (pe) 
  REFERENCES         ShefPe (pe) 
  MATCH FULL;
ALTER TABLE        OFSDataTrans 
  ADD CONSTRAINT     ofsdatatran_dur_fk 
  FOREIGN KEY        (dur) 
  REFERENCES         ShefDur (dur) 
  MATCH FULL;
ALTER TABLE        OFSDataTrans 
  ADD CONSTRAINT     ofsdatatran_ext_fk 
  FOREIGN KEY        (extremum) 
  REFERENCES         ShefEx (extremum) 
  MATCH FULL;
ALTER TABLE        OFSStnTrans 
  ADD CONSTRAINT     ofsstntrans_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Location (lid) 
  MATCH FULL;
ALTER TABLE        pub 
  ADD CONSTRAINT     pub_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        GageRadarLoc 
  ADD CONSTRAINT     grloc_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Location (lid) 
  MATCH FULL;
ALTER TABLE        GageRadarLoc 
  ADD CONSTRAINT     grloc_radarloc_fk 
  FOREIGN KEY        (radid) 
  REFERENCES         RadarLoc (radid) 
  MATCH FULL;
ALTER TABLE        DPARadar 
  ADD CONSTRAINT     dparadar_radloc_fk 
  FOREIGN KEY        (radid) 
  REFERENCES         RadarLoc (radid) 
  MATCH FULL;
ALTER TABLE        DpaAdapt 
  ADD CONSTRAINT     dpaadapt_rad_fk 
  FOREIGN KEY        (radid) 
  REFERENCES         RadarLoc (radid) 
  MATCH FULL;
ALTER TABLE        S2GageRadarVal 
  ADD CONSTRAINT     s2gagrad_radloc_fk 
  FOREIGN KEY        (radid) 
  REFERENCES         RadarLoc (radid) 
  MATCH FULL;
ALTER TABLE        S3GridManip 
  ADD CONSTRAINT     s3grdman_radloc_fk 
  FOREIGN KEY        (radid) 
  REFERENCES         RadarLoc (radid) 
  MATCH FULL;
ALTER TABLE        RatingShift 
  ADD CONSTRAINT     rshift_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        rating 
  ADD CONSTRAINT     rating_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        refer 
  ADD CONSTRAINT     refer_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        rescap 
  ADD CONSTRAINT     rescap_res_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         reservoir (lid) 
  MATCH FULL;
ALTER TABLE        StnClass 
  ADD CONSTRAINT     stnclass_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         Location (lid) 
  MATCH FULL;
ALTER TABLE        telem 
  ADD CONSTRAINT     telem_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         location (lid) 
  MATCH FULL;
ALTER TABLE        telem 
  ADD CONSTRAINT     telem_towner_fk 
  FOREIGN KEY        (owner) 
  REFERENCES         TelmOwner (owner) 
  MATCH FULL;
ALTER TABLE        telem 
  ADD CONSTRAINT     telem_ttype_fk 
  FOREIGN KEY        (type) 
  REFERENCES         TelmType (type) 
  MATCH FULL;
ALTER TABLE        telem 
  ADD CONSTRAINT     telem_tpayor_fk 
  FOREIGN KEY        (payor) 
  REFERENCES         TelmPayor (payor) 
  MATCH FULL;
ALTER TABLE        zonenum 
  ADD CONSTRAINT     zonenum_loc_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         location (lid) 
  MATCH FULL;
ALTER TABLE        zonenum 
  ADD CONSTRAINT     zonenum_elig_fk 
  FOREIGN KEY        (state, zonenum) 
  REFERENCES         eligzon (state, zonenum) 
  MATCH FULL;
ALTER TABLE        ColorOverlay 
  ADD CONSTRAINT     colorovr_name_fk 
  FOREIGN KEY        (color_name) 
  REFERENCES         ColorName (color_name) 
  MATCH FULL;
ALTER TABLE        ColorValue 
  ADD CONSTRAINT     colorval_name_fk 
  FOREIGN KEY        (color_name) 
  REFERENCES         ColorName (color_name) 
  MATCH FULL;
ALTER TABLE        NWRTransmitter 
  ADD CONSTRAINT     transmit_wfo_fk 
  FOREIGN KEY        (wfo) 
  REFERENCES         Wfo (wfo) 
  MATCH FULL;
ALTER TABLE        NWRTransmitter 
  ADD CONSTRAINT     transmit_state_fk 
  FOREIGN KEY        (state) 
  REFERENCES         State (state) 
  MATCH FULL;
ALTER TABLE        CountyTransmit 
  ADD CONSTRAINT     county_transmit_fk 
  FOREIGN KEY        (call_sign) 
  REFERENCES         NWRTransmitter (call_sign) 
  MATCH FULL;
ALTER TABLE        CountyTransmit 
  ADD CONSTRAINT     transmit_county_fk 
  FOREIGN KEY        (county, state) 
  REFERENCES         Counties (county, state) 
  MATCH FULL;
ALTER TABLE        UnitGraph 
  ADD CONSTRAINT     unitgraph_rvr_fk 
  FOREIGN KEY        (lid) 
  REFERENCES         riverstat (lid) 
  MATCH FULL;
ALTER TABLE        VTECevent 
  ADD CONSTRAINT     vtecevent_act_fk 
  FOREIGN KEY        (action) 
  REFERENCES         VTECaction (action) 
  MATCH FULL;
ALTER TABLE        VTECevent 
  ADD CONSTRAINT     vtecevent_phen_fk 
  FOREIGN KEY        (phenom) 
  REFERENCES         VTECphenom (phenom) 
  MATCH FULL;
ALTER TABLE        VTECevent 
  ADD CONSTRAINT     vtecevent_sig_fk 
  FOREIGN KEY        (signif) 
  REFERENCES         VTECsignif (signif) 
  MATCH FULL;
ALTER TABLE        VTECevent 
  ADD CONSTRAINT     vtecevent_sev_fk 
  FOREIGN KEY        (severity) 
  REFERENCES         VTECsever (severity) 
  MATCH FULL;
ALTER TABLE        VTECevent 
  ADD CONSTRAINT     vtecevent_cau_fk 
  FOREIGN KEY        (immed_cause) 
  REFERENCES         VTECcause (immed_cause) 
  MATCH FULL;
ALTER TABLE        VTECevent 
  ADD CONSTRAINT     vtecevent_rec_fk 
  FOREIGN KEY        (record) 
  REFERENCES         VTECrecord (record) 
  MATCH FULL;
ALTER TABLE        AdjustFactor 
  ADD CONSTRAINT     adjfactor_pe_fk 
  FOREIGN KEY        (pe) 
  REFERENCES         ShefPe (pe) 
  MATCH FULL;
ALTER TABLE        AdjustFactor 
  ADD CONSTRAINT     adjfactor_dur_fk 
  FOREIGN KEY        (dur) 
  REFERENCES         ShefDur (dur) 
  MATCH FULL;
ALTER TABLE        AdjustFactor 
  ADD CONSTRAINT     adjfactor_ts_fk 
  FOREIGN KEY        (ts) 
  REFERENCES         ShefTs (ts) 
  MATCH FULL;
ALTER TABLE        AdjustFactor 
  ADD CONSTRAINT     adjfactor_ex_fk 
  FOREIGN KEY        (extremum) 
  REFERENCES         ShefEx (extremum) 
  MATCH FULL;
