ALTER TABLE        coopcomms 
  ADD CONSTRAINT     coopcomms_pk 
  PRIMARY KEY        (comm);
ALTER TABLE        cooprecip 
  ADD CONSTRAINT     cooprecip_pk 
  PRIMARY KEY        (recip);
ALTER TABLE        coopspons 
  ADD CONSTRAINT     coopspons_pk 
  PRIMARY KEY        (spons);
ALTER TABLE        dcpowner 
  ADD CONSTRAINT     dcpowner_pk 
  PRIMARY KEY        (owner);
ALTER TABLE        gagemaint 
  ADD CONSTRAINT     gagemaint_pk 
  PRIMARY KEY        (maint);
ALTER TABLE        gageowner 
  ADD CONSTRAINT     gageowner_pk 
  PRIMARY KEY        (owner);
ALTER TABLE        gagetype 
  ADD CONSTRAINT     gagetype_pk 
  PRIMARY KEY        (type);
ALTER TABLE        hsa 
  ADD CONSTRAINT     hsa_pk 
  PRIMARY KEY        (hsa);
ALTER TABLE        network 
  ADD CONSTRAINT     network_pk 
  PRIMARY KEY        (network);
ALTER TABLE        proximity 
  ADD CONSTRAINT     proximity_pk 
  PRIMARY KEY        (proximity);
ALTER TABLE        PerfLog 
  ADD CONSTRAINT     perflog_pk 
  PRIMARY KEY        (process, start_time);
ALTER TABLE        resowner 
  ADD CONSTRAINT     resowner_pk 
  PRIMARY KEY        (owner);
ALTER TABLE        rfc 
  ADD CONSTRAINT     rfc_pk 
  PRIMARY KEY        (rfc);
ALTER TABLE        ShefDur 
  ADD CONSTRAINT     shefdur_pk 
  PRIMARY KEY        (dur);
ALTER TABLE        shefex 
  ADD CONSTRAINT     shefex_pk 
  PRIMARY KEY        (extremum);
ALTER TABLE        ShefPe 
  ADD CONSTRAINT     shefpe_pk 
  PRIMARY KEY        (pe);
ALTER TABLE        ShefProb 
  ADD CONSTRAINT     shefprob_pk 
  PRIMARY KEY        (probcode);
ALTER TABLE        shefqc 
  ADD CONSTRAINT     shefqc_pk 
  PRIMARY KEY        (shef_qual_code);
ALTER TABLE        shefts 
  ADD CONSTRAINT     shefts_pk 
  PRIMARY KEY        (ts);
ALTER TABLE        telmowner 
  ADD CONSTRAINT     telmowner_pk 
  PRIMARY KEY        (owner);
ALTER TABLE        telmpayor 
  ADD CONSTRAINT     telmpayor_pk 
  PRIMARY KEY        (payor);
ALTER TABLE        telmtype 
  ADD CONSTRAINT     telmtype_pk 
  PRIMARY KEY        (type);
ALTER TABLE        Wfo 
  ADD CONSTRAINT     wfo_pk 
  PRIMARY KEY        (wfo);
ALTER TABLE        State 
  ADD CONSTRAINT     state_pk 
  PRIMARY KEY        (state);
ALTER TABLE        counties 
  ADD CONSTRAINT     counties_pk 
  PRIMARY KEY        (county, state);
ALTER TABLE        eligzon 
  ADD CONSTRAINT     eligzon_pk 
  PRIMARY KEY        (state, zonenum);
ALTER TABLE        Location 
  ADD CONSTRAINT     location_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        Riverstat 
  ADD CONSTRAINT     riverstat_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        Reservoir 
  ADD CONSTRAINT     reservoir_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        Admin 
  ADD CONSTRAINT     admin_pk 
  PRIMARY KEY        (hsa);
ALTER TABLE        Agricultural 
  ADD CONSTRAINT     agri_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        benchmark 
  ADD CONSTRAINT     benchmark_pk 
  PRIMARY KEY        (lid, bnum);
ALTER TABLE        contacts 
  ADD CONSTRAINT     contact_pk 
  PRIMARY KEY        (lid, contact);
ALTER TABLE        CommentValue 
  ADD CONSTRAINT     commentvalue_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime);
ALTER TABLE        ContingencyValue 
  ADD CONSTRAINT     continvalue_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime);
ALTER TABLE        ProcPrecip 
  ADD CONSTRAINT     procprecip_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        countynum 
  ADD CONSTRAINT     countynum_pk 
  PRIMARY KEY        (lid, state, county);
ALTER TABLE        AlertAlarmVal 
  ADD CONSTRAINT     alertalarmval_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime, aa_categ, aa_check);
ALTER TABLE        crest 
  ADD CONSTRAINT     crest_pk 
  PRIMARY KEY        (lid, datcrst, timcrst);
ALTER TABLE        RiverStatus 
  ADD CONSTRAINT     riverstatus_pk 
  PRIMARY KEY        (lid, pe, ts);
ALTER TABLE        CurPrecip 
  ADD CONSTRAINT     curprecip_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        datum 
  ADD CONSTRAINT     datum_pk 
  PRIMARY KEY        (lid, ddate);
ALTER TABLE        dcp 
  ADD CONSTRAINT     dcp_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        DataLimits 
  ADD CONSTRAINT     datalimits_pk 
  PRIMARY KEY        (pe, dur, monthdaystart);
ALTER TABLE        descrip 
  ADD CONSTRAINT     descrip_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        Discharge 
  ADD CONSTRAINT     discharge_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        Evaporation 
  ADD CONSTRAINT     evaporation_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        FcstDischarge 
  ADD CONSTRAINT     fcstdischarge_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime);
ALTER TABLE        FcstHeight 
  ADD CONSTRAINT     fcstheight_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime);
ALTER TABLE        FcstPrecip 
  ADD CONSTRAINT     fcstprecip_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime);
ALTER TABLE        FcstTemperature 
  ADD CONSTRAINT     fcsttemperature_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime);
ALTER TABLE        FcstOther 
  ADD CONSTRAINT     fcstother_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime);
ALTER TABLE        FishCount 
  ADD CONSTRAINT     fishcount_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        flood 
  ADD CONSTRAINT     flood_pk 
  PRIMARY KEY        (lid, stage);
ALTER TABLE        FloodTs 
  ADD CONSTRAINT     floodts_pk 
  PRIMARY KEY        (lid, obstime);
ALTER TABLE        floodcat 
  ADD CONSTRAINT     floodcat_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        floodstmt 
  ADD CONSTRAINT     floodstmt_pk 
  PRIMARY KEY        (lid, stage, rf, datestart, dateend);
ALTER TABLE        FpPrevProd 
  ADD CONSTRAINT     fpprevprod_pk 
  PRIMARY KEY        (lid, producttime);
ALTER TABLE        gage 
  ADD CONSTRAINT     gage_pk 
  PRIMARY KEY        (lid, gbegin, type);
ALTER TABLE        GeoArea 
  ADD CONSTRAINT     geoarea_pk 
  PRIMARY KEY        (area_id);
ALTER TABLE        Ground 
  ADD CONSTRAINT     ground_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        ShefPETrans 
  ADD CONSTRAINT     shefpetrans_pk 
  PRIMARY KEY        (pe, coded_value);
ALTER TABLE        GateDam 
  ADD CONSTRAINT     gatedam_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        damtypes 
  ADD CONSTRAINT     damtypes_pk 
  PRIMARY KEY        (type);
ALTER TABLE        RpfFcstGroup 
  ADD CONSTRAINT     rpffcstgroup_pk 
  PRIMARY KEY        (group_id);
ALTER TABLE        RpfFcstPoint 
  ADD CONSTRAINT     rpffcstpoint_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        Height 
  ADD CONSTRAINT     height_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        Ice 
  ADD CONSTRAINT     ice_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        Lake 
  ADD CONSTRAINT     lake_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        Lightning 
  ADD CONSTRAINT     lightning_pk 
  PRIMARY KEY        (x_hgrid, y_hgrid, obstime);
ALTER TABLE        locimage 
  ADD CONSTRAINT     locimage_pk 
  PRIMARY KEY        (lid, imageid);
ALTER TABLE        IngestFilter 
  ADD CONSTRAINT     ingestfilter_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum);
ALTER TABLE        LatestObsValue 
  ADD CONSTRAINT     latobsval_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum);
ALTER TABLE        LineSegs 
  ADD CONSTRAINT     linesegs_pk 
  PRIMARY KEY        (area_id);
ALTER TABLE        LocExtAgency 
  ADD CONSTRAINT     locextagncy_pk 
  PRIMARY KEY        (lid, agency_code, office);
ALTER TABLE        LocDataLimits 
  ADD CONSTRAINT     locdatalim_pk 
  PRIMARY KEY        (lid, pe, dur, monthdaystart);
ALTER TABLE        lowwater 
  ADD CONSTRAINT     lowwater_pk 
  PRIMARY KEY        (lid, lwdat);
ALTER TABLE        RejectedData 
  ADD CONSTRAINT     rejecteddata_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime, postingtime);
ALTER TABLE        Moisture 
  ADD CONSTRAINT     moisture_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        observer 
  ADD CONSTRAINT     observer_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        OFSDataTrans 
  ADD CONSTRAINT     ofsdatatrans_pk 
  PRIMARY KEY        (pe, dur, extremum);
ALTER TABLE        OFSStnTrans 
  ADD CONSTRAINT     ofsstntrans_pk 
  PRIMARY KEY        (lid, ofs_data_type, shef_source_code);
ALTER TABLE        PairedValue 
  ADD CONSTRAINT     pairedvalue_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, probability, validtime, basistime, ref_value);
ALTER TABLE        PointDataPresets 
  ADD CONSTRAINT     pointdata_pk 
  PRIMARY KEY        (preset_id);
ALTER TABLE        Precip 
  ADD CONSTRAINT     precip_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        Pressure 
  ADD CONSTRAINT     pressure_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        Power 
  ADD CONSTRAINT     power_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        ProcValue 
  ADD CONSTRAINT     procvalue_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        productlink 
  ADD CONSTRAINT     productlink_pk 
  PRIMARY KEY        (lid, product_id, producttime, postingtime);
ALTER TABLE        pub 
  ADD CONSTRAINT     pub_pk 
  PRIMARY KEY        (lid, pbegin, ppub);
ALTER TABLE        PurgeDynData 
  ADD CONSTRAINT     purgedyndata_pk 
  PRIMARY KEY        (table_name);
ALTER TABLE        PurgeProduct 
  ADD CONSTRAINT     PurgeProduct_pk 
  PRIMARY KEY        (product_id);
ALTER TABLE        RadarLoc 
  ADD CONSTRAINT     radarloc_pk 
  PRIMARY KEY        (radid);
ALTER TABLE        GageRadarLoc 
  ADD CONSTRAINT     grloc_pk 
  PRIMARY KEY        (lid, radid);
ALTER TABLE        DPARadar 
  ADD CONSTRAINT     dparadar_pk 
  PRIMARY KEY        (radid, obstime);
ALTER TABLE        DpaAdapt 
  ADD CONSTRAINT     dpaadapt_pk 
  PRIMARY KEY        (radid, obstime);
ALTER TABLE        RadarResp 
  ADD CONSTRAINT     radarresp_pk 
  PRIMARY KEY        (radid);
ALTER TABLE        PseudoGageVal 
  ADD CONSTRAINT     pseudogagval_pk 
  PRIMARY KEY        (pseudo_gage_id, obstime);
ALTER TABLE        S2GageRadarVal 
  ADD CONSTRAINT     s2gageradarval_pk 
  PRIMARY KEY        (radid, lid, obstime, precip_duration);
ALTER TABLE        S3GridManip 
  ADD CONSTRAINT     s3gridmanip_pk 
  PRIMARY KEY        (radid, obstime);
ALTER TABLE        S3PostAnalPrefs 
  ADD CONSTRAINT     s3postanalprefs_pk 
  PRIMARY KEY        (userid);
ALTER TABLE        Stage3Result 
  ADD CONSTRAINT     stage3result_pk 
  PRIMARY KEY        (rfc, obstime);
ALTER TABLE        SacSmaParams 
  ADD CONSTRAINT     sac_sma_params_pk 
  PRIMARY KEY        (basin_id, source, validtime);
ALTER TABLE        SacSmaState 
  ADD CONSTRAINT     sac_sma_state_pk 
  PRIMARY KEY        (basin_id, source, validtime);
ALTER TABLE        SSHPConfig 
  ADD CONSTRAINT     sshp_config_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        RWBiasDyn 
  ADD CONSTRAINT     rwbiasdynparams_pk 
  PRIMARY KEY        (radid, obstime, memspan_ind);
ALTER TABLE        MonthlyValues 
  ADD CONSTRAINT     monthly_values_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, adjustment);
ALTER TABLE        RWPrefs 
  ADD CONSTRAINT     rwprefs_pk 
  PRIMARY KEY        (userid);
ALTER TABLE        RatingShift 
  ADD CONSTRAINT     RatingShift_pk 
  PRIMARY KEY        (lid, date);
ALTER TABLE        RWResult 
  ADD CONSTRAINT     rwresult_pk 
  PRIMARY KEY        (rfc, obstime);
ALTER TABLE        RWRadarResult 
  ADD CONSTRAINT     rwradarresult_pk 
  PRIMARY KEY        (radid, obstime);
ALTER TABLE        Radiation 
  ADD CONSTRAINT     radiation_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        rating 
  ADD CONSTRAINT     rating_pk 
  PRIMARY KEY        (lid, stage);
ALTER TABLE        refer 
  ADD CONSTRAINT     refer_pk 
  PRIMARY KEY        (lid, reference);
ALTER TABLE        rescap 
  ADD CONSTRAINT     rescap_pk 
  PRIMARY KEY        (lid, elev);
ALTER TABLE        Snow 
  ADD CONSTRAINT     snow_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        StnClass 
  ADD CONSTRAINT     stnclass_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        telem 
  ADD CONSTRAINT     telem_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        Temperature 
  ADD CONSTRAINT     temperature_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        textproduct 
  ADD CONSTRAINT     textproduct_pk 
  PRIMARY KEY        (product_id, producttime, postingtime);
ALTER TABLE        UnkStn 
  ADD CONSTRAINT     unkstn_pk 
  PRIMARY KEY        (lid);
ALTER TABLE        UnkStnValue 
  ADD CONSTRAINT     unkstnvalue_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        userprefs 
  ADD CONSTRAINT     userprefs_pk 
  PRIMARY KEY        (userid);
ALTER TABLE        WaterQuality 
  ADD CONSTRAINT     waterqual_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        Weather 
  ADD CONSTRAINT     weather_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        Wind 
  ADD CONSTRAINT     wind_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        YUnique 
  ADD CONSTRAINT     yunique_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum, obstime);
ALTER TABLE        zonenum 
  ADD CONSTRAINT     zonenum_pk 
  PRIMARY KEY        (lid, state, zonenum);
ALTER TABLE        ColorName 
  ADD CONSTRAINT     colorname_pk 
  PRIMARY KEY        (color_name);
ALTER TABLE        ColorOverlay 
  ADD CONSTRAINT     coloroverlay_pk 
  PRIMARY KEY        (userid, application_name, overlay_type);
ALTER TABLE        ColorValue 
  ADD CONSTRAINT     colorvalue_pk 
  PRIMARY KEY        (userid, application_name, color_use_name, duration, threshold_value, threshold_unit);
ALTER TABLE        HvAbsDesiredProd 
  ADD CONSTRAINT     HvAbsDesProd_pk 
  PRIMARY KEY        (end_hour, dur_hours);
ALTER TABLE        HvRelDesiredProd 
  ADD CONSTRAINT     HvRelDesProd_pk 
  PRIMARY KEY        (end_hour_offset, dur_hours);
ALTER TABLE        NWRTransmitter 
  ADD CONSTRAINT     nwrtransmitter_pk 
  PRIMARY KEY        (call_sign);
ALTER TABLE        CountyTransmit 
  ADD CONSTRAINT     countytransmit_pk 
  PRIMARY KEY        (call_sign, county, state);
ALTER TABLE        UnitGraph 
  ADD CONSTRAINT     unitgraph_pk 
  PRIMARY KEY        (lid, dur, ordinal);
ALTER TABLE        VTECrecord 
  ADD CONSTRAINT     vtecrecord_pk 
  PRIMARY KEY        (record);
ALTER TABLE        VTECcause 
  ADD CONSTRAINT     vteccause_pk 
  PRIMARY KEY        (immed_cause);
ALTER TABLE        VTECsever 
  ADD CONSTRAINT     vtecsever_pk 
  PRIMARY KEY        (severity);
ALTER TABLE        VTECaction 
  ADD CONSTRAINT     vtecaction_pk 
  PRIMARY KEY        (action);
ALTER TABLE        VTECphenom 
  ADD CONSTRAINT     vtecphenom_pk 
  PRIMARY KEY        (phenom);
ALTER TABLE        VTECsignif 
  ADD CONSTRAINT     vtecsignif_pk 
  PRIMARY KEY        (signif);
ALTER TABLE        VTECevent 
  ADD CONSTRAINT     vtecevent_pk 
  PRIMARY KEY        (geoid, product_id, producttime);
ALTER TABLE        timezone 
  ADD CONSTRAINT     timezone_pk 
  PRIMARY KEY        (tzone);
ALTER TABLE        AdjustFactor 
  ADD CONSTRAINT     adjfactor_pk 
  PRIMARY KEY        (lid, pe, dur, ts, extremum);
ALTER TABLE        LocArea 
  ADD CONSTRAINT     loc_area_pk 
  PRIMARY KEY        (lid);
