create table CoopComms
(
comm   varchar(10) not null -- type of observer communications systems
);
create table CoopRecip
(
recip   varchar(15) not null -- recipients of coop observer information
);
create table CoopSpons
(
spons   varchar(7) not null  -- sponsors of cooperative observers
);
create table DcpOwner
(
owner	varchar(10) not null	-- owner of data collection platform
);
create table GageMaint
(
maint   varchar(10) not null  -- maintainers of gage
);
create table GageOwner
(
owner  varchar(10) not null  -- owner of gage
);
create table GageType
(
type   varchar(10) not null  -- type
);
create table Hsa
(
hsa	varchar(3) not null	-- hydrologic service area
);
create table Network
(
network	varchar(3) not null	-- name of coop observer network
);
create table Proximity
(
proximity	varchar(6) not null	-- proximity of gage to location
);
create table PerfLog		-- Computer Process Performance Log
(
process		varchar(10)   not null,  -- computer process name
start_time	TIMESTAMP  not null,  -- computer process
						    --    start time
num_processed	integer,		-- number of records processed
num_reads	integer,		-- number of reads performed
num_inserts	integer,		-- number of inserts performed
num_updates	integer,		-- number of updates performed
num_deletes	integer,		-- number of deletes performed
elapsed_time	float,			-- wall clock time of process
cpu_time	float,			-- CPU process time expended
io_time		float			-- I/O process time expended
);
create table ResOwner
(
owner	varchar(10) not null	-- owner of data collection platform
);
create table Rfc
(
rfc	varchar(5) not null -- identifier for RFC
);
create table ShefDur
(
dur      smallint  not null,
durcode  varchar(1),
name     varchar(20)
);
create table ShefEx
(
extremum	varchar(1)	not null,  -- extremum code
name		varchar(20)             -- description
);
create table ShefPe
(
pe        varchar(2)  not null,
name      varchar(20),
eng_unit  varchar(8),
met_unit  varchar(8)
);
create table ShefProb
(
probcode      varchar(1) not null,
probability   FLOAT4,
name          varchar(20)
);
create table ShefQc
(
shef_qual_code	varchar(1) not null,
name		varchar(20)
);
create table ShefTs
(
ts		varchar(2)	not null,  -- type/source code
name		varchar(20)             -- description
);
create table TelmOwner
(
owner	varchar(10) not null	-- telemetry owner
);
create table TelmPayor
(
payor	varchar(10) not null  -- maintainer of equipment
);
create table TelmType
(
type	varchar(10) not null 	-- type
);
create table Wfo
(
wfo   varchar(3)  not null  -- Weather Forecast Office identifier
);
create table State
(
state       varchar(2)  not null,  -- state postal abbreviation
name        varchar(20)        -- state name
);
create table Counties
(
county		varchar(20) not null,	-- county name
state		varchar(2) not null,	-- state name
countynum	varchar(4),			-- county number
wfo  		varchar(3) not null,		-- owner wfo name
primary_back 	varchar(3) not null,		-- primary backup wfo name
secondary_back	varchar(3) not null		-- secondary backup wfo name
);
create table Eligzon
(
state		varchar(2) not null,	-- state identifier
zonenum		varchar(3) not null,	-- zone number/identifier
descr		varchar(20)		-- description
);
create table Location       -- reference-only
(
lid		varchar(8) not null,	-- location id
county		varchar(20) not null,	-- county name
coe 		varchar(3),		-- usce district office
cpm		varchar(3),			-- coop program mgr's station
detail		varchar(10),		-- direction and distance
elev		float,				-- elevation of station
hdatum		varchar(9),		-- horizontal datum
hsa		varchar(3) not null,	-- hydrologic service area
hu		varchar(8),		-- hydrologic unit number
lat		float,				-- station latitude (dec degr)
lon		float,				-- station longitude (dec degr)
lremark		varchar(255),			-- location remarks
lrevise		date,				-- date of last change to locid
name		varchar(50),		-- location name
network		varchar(3) not null,	-- network
rb		varchar(30),		-- river basin
rfc		varchar(5) not null,		-- river forecast center
sbd		date,				-- station begin date
sn		varchar(10),		-- station number
state		varchar(2) not null,	-- state
waro		varchar(3),		-- warning office
wfo		varchar(3) not null,		-- weather forecast office
wsfo		varchar(3),			-- forecast office
type		varchar(4),		-- SHIMS station type (I,O,P,R)
des		varchar(30),			-- description - RFC
det		varchar(30),			-- description - RFC
post		integer,			-- post values (yes or no)
stntype		varchar(4),		-- rfs's version of station type
tzone		varchar(8) not null		-- station's time zone
);
create table Riverstat      --reference-only
(
lid		varchar(8) not null,	-- location id
primary_pe	varchar(2),
bf		float,				-- bankfull stage
cb		float,				-- checkbar stage
da		float,				-- drainage area
response_time   float,                          -- typical basin response time (hours)
threshold_runoff float,                         -- threshold runoff
fq		float,			        -- flood flow
fs		float,				-- flood stage
gsno		varchar(10),		-- usgs gage number
level		varchar(20),		-- agency and date when
mile		float,				-- river mile
pool		float,				-- normal pool
por		varchar(30),		-- period of record
rated		varchar(20),		-- rating agency
lat		float,			        -- river gage latitude
lon		float,			        -- river gage longitue
remark		varchar(255),			-- river gage remarks
rrevise		date,				-- date river station
rsource		varchar(20),			-- source of latitude
stream		varchar(32),		-- river or stream name
tide		varchar(8),		-- tidal effects
backwater	varchar(8),		-- none/minor/moderate/major
vdatum		varchar(20),		-- vertical datum
action_flow	float,
wstg		float,				-- warning stage
zd		float,				-- zero level for gage
ratedat		date,				-- date of rating
usgs_ratenum	varchar(5),		-- USGS rating number
uhgdur		integer,			-- unit hydrograph duration
use_latest_fcst	varchar(1)
);
create table Reservoir       --reference-only
(
lid		varchar(8)  not null,
name		varchar(20),
type		varchar(10)    not null,
owner		varchar(10)   not null,
deadpool	float,
conserpool	float,
floodpool	float,
spillway	float,
sill		float,
top		float,
surchg		float,
elev		float,
gates		integer,
impounded	date,
uses		varchar(8),
damids		varchar(2),
damidn		varchar(5)
);
create table Admin
(
focalpoint   varchar(24),          -- name of Hydro focal point individual
ofc          varchar(20),           -- WFO id
phone        varchar(12),         -- phone number
region       varchar(20),           -- name of NWS region
regno        varchar(1),          -- number of NWS region
cd404        varchar(8),     -- NWS form
tenyr        date,                    -- ten year update date
oneyr        date,                    -- one year update date
hsa          varchar(5) not null,  -- HSA id
hsa_num      smallint,		      -- HSA number
hb_password  varchar(8)       -- HydroBase password for Hydro focal point
);
create table Agricultural
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table benchmark         --reference-only
(
lid		varchar(8) not null,	-- location id
bnum		varchar(6) not null,	-- benchmark number
elev		float,				-- benchmark elevation
remark		varchar(255)			-- benchmark description
);
create table City
(
name             varchar(20)  not null,  -- name of city or landmark
state            varchar(2),      -- state that city or landmark is located
lat              float,                -- latitude
lon              float,                -- longitude
disp_precedence  integer,              -- display precedence
population       integer               -- city population
);
create table contacts         --reference-only
(
lid		varchar(8)   not null,	-- location id
contact		varchar(28)  not null,	-- contact name
phone		varchar(18),		-- phone number
email           varchar(60),            -- email address
remark		varchar(255),			-- remarks
priority	integer				-- for ordering lid entries
);
create table CommentValue
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP,
shef_comment    varchar(80)
);
create table ContingencyValue
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table ProcPrecip
(
lid                varchar(8)   not null,
pe                 varchar(2)  not null,
dur                smallint           not null,
ts                 varchar(2)  not null,
extremum           varchar(1)  not null,
obstime            TIMESTAMP  not null,
value              float,
quality_code       integer,
orig_pe            varchar(2),
orig_dur           smallint,
orig_obstime1      TIMESTAMP,
orig_obstime2      TIMESTAMP,
man_edited         varchar(1),
time_distribution  varchar(1)
)
;
create table countynum      --reference-only
(
lid		varchar(8) not null,	-- location id
state		varchar(2) not null,	-- state abbreviation
county		varchar(20) not null 	-- county name
);
CREATE TABLE AlertAlarmVal
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
value           float,
suppl_value     float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP,
action_time     TIMESTAMP,
aa_categ        varchar(6)   not null,
aa_check        varchar(6)   not null
)
;
create table crest          --reference-only
(
lid		varchar(8) not null,	-- location id
datcrst		date not null,			-- date of crest
cremark		varchar(80),		-- remarks
hw		varchar(1),			-- based on high water ?
jam		varchar(1),			-- caused by ice jam ?
olddatum        varchar(1),			-- based on old datum
q		integer,			-- flow of crest
stage		float,				-- stage of crest
suppress	varchar(1),			-- printed on staff picture ?
timcrst		varchar(5) not null,			-- time of crest
prelim		varchar(1)			-- unconfirmed crest stage
);
create table RiverStatus
(
lid            varchar(8)   not null,
pe             varchar(2)  not null,
dur            smallint,
ts             varchar(2)  not null,
extremum       varchar(1),
probability    FLOAT4,
validtime      TIMESTAMP,
basistime      TIMESTAMP,
value          float
)
;
create table CurPrecip
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table datum          --reference-only
(
lid		varchar(8) not null,	-- location id
ddate		date not null,			-- date of datum
elev		float				-- evelation of datum,
);
create table dcp       --reference-only
(
lid		varchar(8) not null,	-- location id
criteria	varchar(50),			-- random reporting criteria
owner		varchar(10),		-- owner of dcp
goes		varchar(8),		-- ness id
rptfreq		varchar(4),		-- how often dcp reports
rptime		varchar(8),		-- time dcp reports
notify		varchar(1)			-- non report notify flag
);
CREATE TABLE DataLimits
(
pe                      varchar(2)  not null,
dur                     smallint           not null,
monthdaystart           DATE  not null,
monthdayend             DATE not null,
gross_range_min         float,
gross_range_max         float,
reason_range_min        float,
reason_range_max        float,
roc_max                 float,
alert_limit             float,
alert_roc_limit         float,
alarm_limit             float,
alarm_roc_limit         float
);
create table descrip       --reference-only
(
lid		varchar(8) not null,	-- location id
bed		varchar(60),		-- stream bed
divert		varchar(60),		-- why water is diverted
remark		varchar(255),			-- forecast point remarks
ice		varchar(160),		-- winter freezing problems
proximity	varchar(6) not null,	-- proximity of gage to locid
reach		varchar(80),		-- reach limits
res		varchar(255),		-- reservoir regulation
topo		varchar(255)			-- topography description
);
create table Discharge
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table Evaporation
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table FcstDischarge
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table FcstHeight
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table FcstPrecip
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table FcstTemperature
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table FcstOther
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table FishCount
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table flood          --reference-only
(
lid		varchar(8) not null,	-- location id
stage		float not null,			-- stage height
damage		varchar(512),		-- damage at stage height
dispstmt	varchar(60)		-- displayable statement
);
create table FloodTs
(
lid             varchar(8)  not null,
obstime         TIMESTAMP  not null,
flood_event_id  integer,
value           float
)
;
create table floodcat           --reference-only
(
lid		varchar(8) not null,	-- location id
minor_stage	float,				-- minor flood stage value
moderate_stage	float,				-- moderate flood stage value
major_stage	float,				-- major flood stage value
minor_flow	float,				-- minor flood flow  value
moderate_flow	float,				-- moderate flood flow  value
major_flow	float				-- major flood flow  value
);
create table floodstmt          --reference-only
(
lid		varchar(8) not null,	-- location id
stage		float            not null,	-- level for flood stmt
statement	varchar(512),		-- first flood stmt
rf		varchar(1)   not null,	-- rising of falling stmts
datestart	varchar(5) not null,    	-- seasonal start date
dateend		varchar(5) not null	-- seasonal end date
);
create table FpPrevProd
(
lid		varchar(8)  not null,	-- station location id
product_id	varchar(10),		-- full product id
prod_categ	varchar(3),		-- RiverPro product category id
producttime	TIMESTAMP not null, -- date-time on RiverPro product
office_id	varchar(5),			-- responsible HSA office
obsvalue	float,				-- most recent relevant observation value
obstime		TIMESTAMP,	-- date-time of observation value
max_fcstvalue	float,				-- relevant maximum forecast value
validtime	TIMESTAMP,	-- valid date-time of forecast value
basistime	TIMESTAMP		-- basis date-time of forecast run (creation date-time)
);
create table gage          --reference-only
(
lid		varchar(8) not null,	-- location id
gbegin		date not null,			-- begin service date
type		varchar(10) not null,	-- type
gend		date,				-- end service date
remark		varchar(255),			-- gage location
maint		varchar(10),		-- maintaining agency
owner		varchar(10)			-- owner of gage
);
create table GeoArea
(
area_id		varchar(8) not null, -- id of entity
name		varchar(40),	-- name of entity
boundary_type	varchar(6),	-- type of boundary feature
interior_lat	float,			-- lat of pt within area
interior_lon	float,			-- lon of pt within area
num_points	integer,		-- num of lat-lon pairs
boundary_points	OID			-- blob with lat-lon pairs
)
;
create table GeoLine
(
line_id         varchar(8),       -- preserved for possible future
name		varchar(20),	-- name of vector feature
vector_type	varchar(6),	-- type of vector feature (stream, road)
feature_rank	integer,		-- rank of feature for display
					--   1, principal rivers, Interstate hiways
					--   2, secondary rivers, U.S. hiways
					--   3, tertiary rivers, State hiways
stream_order	integer,		-- hydrologic stream-order parameter
num_points	integer,		-- number of lat-lon pairs
vector_points	OID			-- blob with lat-lon pairs
);
create table Ground
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table ShefPETrans
(
pe           varchar(3)  not null,
coded_value  integer  not null,
value_trans  varchar(80)
);
create table GateDam
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table DamTypes
(
type	varchar(10) not null	-- type
);
create table RpfFcstGroup
(
group_id	      varchar(8)  not null,    -- RiverPro forecast group identifier
group_name	      varchar(32),	     -- RiverPro forecast group name
ordinal		      integer,			     -- ordinal position of forecast group
rec_all_included      varchar(1)                 -- switch for if all points in the
                                                     -- group included
);
create table RpfFcstPoint        --reference-only
(
lid		varchar(8)   not null, -- river station location identifier
group_id	varchar(8)   not null, -- RiverPro forecast group identifier
ordinal		integer,		     -- ordinal position of forecast
					     --   point within its forecast group
chg_threshold	float,                       -- stg/flow chg for non-steady assumption
rec_type        varchar(3),           -- threshold for recommendation type
                                             --  "MON" or default "CAT"
primary_back    varchar(3) not null,
secondary_back  varchar(3) not null
);
create table Height
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table Ice
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table Lake
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table Lightning            -- Lightning Strike Data
(
    x_hgrid smallint not null,
    y_hgrid smallint not null,
    obstime TIMESTAMP not null,
    no_of_strike smallint
) ;
create table LocImage
(
lid		varchar(8) not null,	-- location id 8
imageid		varchar(10) not null,	-- image id 10
title           varchar(30),       -- title 30
descr           varchar(80),             -- description 80
format          varchar(10),      -- image format 10
url_internal	varchar(120),		-- URL specifier 120
url_external	varchar(120)		-- URL specifier 120
);
create table IngestFilter      --reference-only
(
lid         varchar(8)   not null,
pe          varchar(2)  not null,
dur         smallint           not null,
ts          varchar(2)  not null,
extremum    varchar(1)  not null,
ts_rank     smallint,
ingest      varchar(1),
ofs_input   varchar(1),
stg2_input  varchar(1)
)
;
create table LatestObsValue
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP,
value           float,
revision        smallint,
shef_qual_code  varchar(1),
quality_code    integer,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table LineSegs
(
area_id		varchar(8)  not null,	-- area identifier
area		float,			-- computed area (sq. mi.) for the area
numrows		integer,		-- number of rows/line segments
hrap_row	OID,			-- array with HRAP row numbers
hrap_beg_col	OID,			-- array with begin HRAP col for row
hrap_end_col	OID			-- array with end HRAP col for row
)
;
create table LocExtAgency          --reference-only
(
lid		varchar(8)     not null,	-- station location id
agency_code	varchar(8)  not null, 	-- external agency code
office		varchar(20)     not null   -- external agency office name
);
CREATE TABLE LocDataLimits
(
lid                     varchar(8)   not null,
pe                      varchar(2)  not null,
dur                     smallint           not null,
monthdaystart           DATE  not null,
monthdayend             DATE not null,
gross_range_min         float,
gross_range_max         float,
reason_range_min        float,
reason_range_max        float,
roc_max                 float,
alert_limit             float,
alert_roc_limit         float,
alarm_limit             float,
alarm_roc_limit         float
);
create table lowwater        --reference-only
(
lid		varchar(8) not null,	-- location id
lwdat		date not null,			-- low water date
q		integer,			-- low water flow
lwrem		varchar(80),		-- remarks
stage		float				-- low water stage
);
create table RejectedData
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
postingtime     TIMESTAMP  not null,
value           float,
revision        smallint,
shef_qual_code  varchar(1),
product_id      varchar(10),
producttime     TIMESTAMP,
quality_code    integer,
reject_type     varchar(1),
userid          varchar(32)
);
create table Moisture
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table observer     --reference-only
(
lid		varchar(8) not null,	-- location id
a1		varchar(30),		-- observer's address
a2		varchar(30),		-- more address info
a3		varchar(30),		-- more address info
city		varchar(30),			-- city name
state		varchar(2) not null,	-- state abbreviation
zip		varchar(10),			-- zip code
comm		varchar(10) not null,	-- form of communications
dos		date,				-- start date of service
gn		varchar(1),			-- gender
hphone		varchar(18),		-- home phone number
firstname	varchar(12),		-- observer's first name
lastname	varchar(28),		-- observer's last name
phone		varchar(18),		-- office phone number
email           varchar(60),            -- observer's email address
ornr		varchar(4),		-- cd 404 order number
rate		float,				-- monthly fee
recip		varchar(15) not null,	-- first recipient of obs
rprt		varchar(60),		-- observer's instructions
spons		varchar(7) not null,	-- sponsor appropriation
ssn		varchar(11),			-- social security number
tsk		varchar(13)		-- task code
);
create table OFSDataTrans
(
pe               varchar(2)  not null,
dur              smallint           not null,
extremum         varchar(1)  not null,
ofs_data_type    varchar(4),
fwd_time_window  FLOAT4,
bkw_time_window  FLOAT4
);
create table OFSStnTrans      --reference-only
(
lid			varchar(8)       not null,  -- SHEF station
							  --    location id
ofs_data_type		varchar(4)    not null,  -- OFS Version 5
							  --    data type code
shef_source_code	varchar(1)  not null,  -- SHEF source code
ofs_lid			varchar(8)		  -- OFS station
							  --    location id
);
create table PairedValue
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
probability     FLOAT4         not null,
validtime       TIMESTAMP  not null,
basistime       TIMESTAMP  not null,
ref_value       int,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table PointDataPresets
(
    preset_id  varchar(8)  not null,
    descr  varchar(30),
    preset_rank  smallint,
    preset_string  varchar(512)
) ;
create table Precip
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table Pressure
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table Power
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table ProcValue
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table productlink
(
lid		varchar(8)  not null,
product_id	varchar(10) not null,
producttime	TIMESTAMP not null,
postingtime	TIMESTAMP not null
)
;
create table pub            --reference-only
(
lid		varchar(8) not null,	-- location id
pbegin		date not null,			-- start date of records
ppub		varchar(25) not null,	-- location of records
pend		date				-- end date of records
);
create table PurgeDynData
(
table_name	  varchar(18) not null,	-- table name
time_column_name  varchar(18),		-- name of datetime column
num_hours_host	  int,
num_hours_backup  int
);
create table PurgeProduct
(
product_id	varchar(10) not null,	-- product id
num_versions	int,				-- num versions to keep
producttime	TIMESTAMP,	-- time last received
postingtime	TIMESTAMP		-- time last posted
);
create table RadarLoc			-- Radar Locations
(
radid		varchar(3)  not null, 	-- radar id (3 varchars)
name		varchar(20),	-- radar name (20 varchars)
radid_prefix	varchar(1),	-- radar id prefix (1 varchars)
radar_num	smallint,			-- radar number
state		varchar(2),		-- U.S. state FIPS code
lat		float,				-- latitude
lon		float,				-- longitude
elev		float,				-- elevation
tower_ht	float,				-- radar tower height (ft)
use_radar	varchar(1)		     	-- use radar or not (T/F)
);
create table GageRadarLoc     --reference-only
(
lid	   varchar(8)	not null,    	-- rain gage id
radid	   varchar(3)   not null,       -- radar id (3 chars)
stage1flag varchar(1)			-- stage1 usages switch(y/n)
);
create table DPARadar			-- DPA data table
(
radid		varchar(3)     not null,
					-- radar identifier
obstime		TIMESTAMP   not null,
					-- end date/time of DPA product (z time)
minoff		smallint,		-- minutes off top of hour of end time
					--   of rainfall
maxvalh		FLOAT4,		-- maximum value in field (dBA)
					--   (read from header)
maxvald		FLOAT4,		-- maximum value in field (mm)
					--   (calculated from actual data)
					--   value of -99. signifies bad radar
					--   product received
s1_bias_value	FLOAT4,		-- bias value
producttime	TIMESTAMP,  -- product generation date/time (z time)
nisolbin	smallint,		-- total no. isolated bins
noutint		smallint,		-- total no. outliers interpolated
noutrep		smallint,		-- total no. outliers replaced
areared		FLOAT4,		-- mean percent area reduction
biscanr		FLOAT4,		-- mean biscan ratio
block_bins_reject   int,
clutter_bins_rej    int,
bins_smoothed       int,
scan_bins_filled    FLOAT4,
high_elev_angle     FLOAT4,
scan_rain_area      FLOAT4,
nbadscan	smallint,		-- no. bad scans in hour
nhourout	smallint,		-- no. hourly outliers
volcovpat	smallint,		-- current volume coverage pattern
opermode	smallint,		-- current operational (weather) mode
missper		varchar(1),		-- missing period flag = T or F
supplmess	smallint,		-- flag describing messages found in
					--   supplemental data
					--     0 no precipitation detected
					--     1 bad rate scan
					--     2 not enough data in hour
					--     3 disk error
					--     4 precipitation
grid_filename	varchar(20)	-- file name of location of grid data
)
;
CREATE TABLE DpaAdapt
(
radid         varchar(3),
obstime       TIMESTAMP,
min_reflth    FLOAT4,
max_reflth    FLOAT4,
ref_tltest    FLOAT4,
rng_tltin     FLOAT4,
rng_tltout    FLOAT4,
max_birng     FLOAT4,
min_birng     FLOAT4,
min_echoar    FLOAT4,
min_awrefl    FLOAT4,
max_pctred    FLOAT4,
mlt_zrcoef    FLOAT4,
pwr_zrcoef    FLOAT4,
min_zrefl     FLOAT4,
max_zrefl     FLOAT4,
beam_width             FLOAT4,
blockage_thresh        FLOAT4,
clutter_thresh         FLOAT4,
weight_thresh          FLOAT4,
hybrid_scan_thresh     FLOAT4,
low_reflect_thresh     FLOAT4,
detect_reflect_thr     FLOAT4,
detect_area_thresh     FLOAT4,
detect_time_thresh     FLOAT4,
exclusion_zones        FLOAT4,
max_stmspd    FLOAT4,
max_timdif    FLOAT4,
min_artcon    FLOAT4,
tim_p1cont    FLOAT4,
tim_p2cont    FLOAT4,
max_ecarch    FLOAT4,
rng_cutoff    FLOAT4,
rng_e1coef    FLOAT4,
rng_e2coef    FLOAT4,
rng_e3coef    FLOAT4,
min_prate     FLOAT4,
max_prate     FLOAT4,
tim_restrt    FLOAT4,
max_timint    FLOAT4,
min_timprd    FLOAT4,
thr_hlyout    FLOAT4,
end_timgag    FLOAT4,
max_prdval    FLOAT4,
max_hlyval    FLOAT4,
tim_biest     FLOAT4,
thr_nosets    FLOAT4,
res_bias      FLOAT4,
longest_lag   FLOAT4,
bias_applied   varchar(1)
)
;
create table RadarResp			-- Radar Responsibility Table
(
radid		varchar(3)  not null, 	-- radar id (3 varchars)
site_id		varchar(5)	    not null	-- responsible site id (3 varchars)
);
create table PseudoGageVal     -- MPE Pseudo-Gage values table
(
pseudo_gage_id	  varchar(8)   not null,	-- pseudo rain gage identifier
obstime		  TIMESTAMP not null,  -- obs (yyyy-mm-dd hh-mm-ss)
lat		  float,	   -- latitude of pseudo rain gage (degrees)
lon		  float,	   -- longitude of pseudo rain gage (degrees)
gage_value	  FLOAT4,	   -- pseudo rain gage value (mm)
man_edited	  varchar(1),  -- manual edited flag for pseudo rain gage
prev_gage_value   FLOAT4	   -- previous pseudo rain gage val (mm)
);				   --    after manual editing
create table S2GageRadarVal
(
radid            varchar(3)  not null,
lid              varchar(8)    not null,
obstime          TIMESTAMP  not null,
precip_duration  smallint            not null,
gage_value       FLOAT4,
radar_value      FLOAT4,
gage_time_dist   smallint,
local_x_hrap     smallint,
local_y_hrap     smallint,
cls_radar_value  FLOAT4,
max_radar_value  FLOAT4,
min_radar_value  FLOAT4,
man_edited       varchar(1),
prev_gage_value  FLOAT4
)
;
create table S3GridManip
(
radid			varchar(3)	not null, -- radar identifier
obstime			TIMESTAMP	not null, -- obs (yy-mm-dd hh-mm-ss)
ignore_radar		varchar(1),			  -- T/F flag indicating if radar data should
							  --    be ignored by Stage II
num_pseudo_gages	smallint,			  -- number of pseudo gages created in Stage III
s2_grid_type		varchar(2),		  -- type of Stage II grid used in Stage III
							  --    (gg, ml, s2, <blank>)
s2_bias_value		FLOAT4,			  -- a Stage II bias value entered manually by
							  --    a forecaster during Stage III
s3_fcstr_override	varchar(1),		  -- T/F flag indicating if forecaster has
							  --    overridden the Stage II grid type
ml_grid_edit		varchar(1)			  -- T/F flag indicating if forecaster has
							  --    edited the Stage II ml grid
);
create table S3PostAnalParams		-- Stage III Post Analysis Parameters
(
gg_weighting		smallint,	-- weighting parameter for gage-only grid analysis
gg_min_gage_val		FLOAT4,	-- minimum gage value (mm) for gage-only grid analysis
gg_min_dist		smallint,	-- minimum distance (HRAP bins) for gage-only grid analysis
kernel_est_scale	FLOAT4,	-- scale parameter for kernel estimator used in merge procedure
rhat			FLOAT4	-- lag1 spatial correlation for merging
);
create table S3PostAnalPrefs				-- Stage III Post Analysis User Preferences
(
userid			varchar(32)  not null,	-- user's login identifier
state_overlay		varchar(3),		-- default overlay option for state boundaries
							--    (ON/OFF)
city_overlay		varchar(3),		-- default overlay option for cities
							--    (ON/OFF)
river_overlay		varchar(3),		-- default overlay option for rivers
							--    (ON/OFF)
basin_overlay		varchar(3),		-- default overlay option for forecast group basins
							--    (ON/OFF)
radar_overlay		varchar(3),		-- default overlay option for radar umbrella rings
							--    (ON/OFF)
num_hours_wind		smallint			-- number of hours from which to choose
							--    in the Choose Dates window
);
create table Stage3Result			-- Stage III Results
(
rfc		varchar(8)      not null,	-- RFC office identifier as used by RFS
							--    code.  Includes ofstest as an option
obstime		TIMESTAMP  not null,	-- obs (yy-mm-dd hh-mm-ss)
maxval		float,				-- maximum value in Stage III output grid (mm)
auto_save	varchar(1),			-- T/F flag indicating whether Stage III output
						--    was saved automatically or manually
mosaic_type	varchar(10),		-- mosaic type
draw_precip     varchar(1),                 -- user has drawn precip onto Stage 3 (T/F)
userid		varchar(32),		-- user's login identifier
save_datetime	TIMESTAMP,	-- system clock time when Stage III grid
						--    data were saved
grid_filename	varchar(20)		-- the host file name that holds the Stage III
						--    output grid
);
create table SacSmaParams
(
basin_id        varchar(8)   not null,
source          varchar(20)  not null,
validtime       TIMESTAMP not null,
postingtime     TIMESTAMP not null,
uztwm           float not null,
uzfwm           float not null,
uzk             float not null,
pctim           float not null,
adimp           float not null,
riva            float not null,
zperc           float not null,
rexp            float not null,
lztwm           float not null,
lzfsm           float not null,
lzfpm           float not null,
lzsk            float not null,
lzpk            float not null,
pfree           float not null,
rserv           float not null,
side            float not null,
peadj           float not null,
pxadj           float not null,
efc             float not null
)
;
create table SacSmaState
(
basin_id        varchar(8)   not null,
source          varchar(20)  not null,
validtime       TIMESTAMP not null,
basistime       TIMESTAMP not null,
postingtime     TIMESTAMP not null,
uztwc           float not null,
uzfwc           float not null,
lztwc           float not null,
lzfsc           float not null,
lzfpc           float not null,
adimc           float not null
)
;
create table SSHPConfig
(
lid             varchar(8)        not null,
basin_id        varchar(8)        not null,
postingtime     TIMESTAMP not null,
model_pref      varchar(20)    not null,
auto_process    varchar(1)          not null,
source_pref     varchar(20)    not null,
use_static_evap varchar(1)          not null
)
;
create table RWBiasDyn
(
radid         varchar(3)       not null,
obstime       TIMESTAMP  not null,
memspan_ind   smallint                 not null,
numpairs      float,
sumgag        FLOAT4,
sumrad        FLOAT4,
bias          FLOAT4
);
create table RWBiasStat
(
min_gr_value_bias  FLOAT4,
npair_bias_select  integer,
npair_svar_update  integer,
std_cut            integer,
lag_cut            integer,
init_span          integer,
bias_qc_opt        integer,
num_span           integer,
mem_span1          FLOAT4,
mem_span2          FLOAT4,
mem_span3          FLOAT4,
mem_span4          FLOAT4,
mem_span5          FLOAT4,
mem_span6          FLOAT4,
mem_span7          FLOAT4,
mem_span8          FLOAT4,
mem_span9          FLOAT4,
mem_span10         FLOAT4
);
create table MonthlyValues
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
adjustment      varchar(1)     not null,
postingtime     TIMESTAMP  not null,
jan_value       float not null,
feb_value       float not null,
mar_value       float not null,
apr_value       float not null,
may_value       float not null,
jun_value       float not null,
jul_value       float not null,
aug_value       float not null,
sep_value       float not null,
oct_value       float not null,
nov_value       float not null,
dec_value       float not null
)
;
create table RWParams
(
rw_min_rain        FLOAT4,
rw_sep_dist        FLOAT4,
rw_lag0_ind_corr   FLOAT4,
rw_lag0_cond_corr  FLOAT4,
num_near_gages     smallint,
num_near_rad_bins  smallint,
def_cond_var_rad   FLOAT4,
def_ind_corr_scl   FLOAT4,
def_cond_corr_scl  FLOAT4,
min_ind_corr_scl   FLOAT4,
min_cond_corr_scl  FLOAT4,
max_ind_corr_scl   FLOAT4,
max_cond_corr_scl  FLOAT4,
nn_srch_method     smallint
);
create table RWPrefs
(
userid            varchar(32)  not null,
state_overlay     varchar(3),
city_overlay      varchar(3),
county_overlay    varchar(3),
river_overlay     varchar(3),
basin_overlay     varchar(3),
radar_overlay     varchar(3),
num_hours_wind    smallint,
def_display_type  varchar(10)
);
create table RatingShift          --reference-only
(
lid		varchar(8) not null,	-- location id
date		date not null,			-- date of Rating Shift
shift_amount	float not null,			-- Rating Shift value
active		varchar(1)			-- (T/F) current shift
);
create table RWResult
(
rfc               varchar(8)        not null,
obstime           TIMESTAMP  not null,
num_gag_avail     smallint,
num_rad_avail     integer,
num_pseudo_gages  integer,
sat_avail         varchar(1),
mapx_field_type   varchar(10),
draw_precip       varchar(1),
auto_save         varchar(1),
last_exec_time    TIMESTAMP,
last_save_time    TIMESTAMP
);
create table RWRadarResult
(
radid             varchar(3)       not null,
obstime           TIMESTAMP  not null,
num_gages         smallint,
rad_avail         varchar(1),
rw_bias_val_used  float,
mem_span_used     float,
edit_bias         varchar(1),
ignore_radar      varchar(1)
);
create table Radiation
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table rating       --reference-only
(
lid		varchar(8) not null,	-- location id
stage		float not null,			-- stage value
discharge	float				-- discharge value
);
create table refer            --reference-only
(
lid		varchar(8) not null,	-- location id
reference	varchar(70) not null	-- reference used for gage
);
create table rescap        --reference-only
(
lid		varchar(8) not null,	-- location id
elev		float not null,			-- elevation
storage		float				-- storage
);
create table RpfParams
(
obshrs          integer not null,  -- # of lookback hrs for obs
fcsthrs         integer not null,  -- # of lookback hrs for for
missval         varchar(12),    -- missing numeric value indicator
misscat         varchar(12),    -- missing category name indicator
misstim         varchar(12),    -- missing time value indicator
rvsexphrs       integer not null,  -- default numhrs until RVS expires
flsexphrs       integer not null,  -- default numhrs until FLS expires
flwexphrs       integer not null  -- default numhrs until FLW expires
);
create table Snow
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table StnClass       --reference-only
(
lid		varchar(8) not null, 	-- id
disp_class	varchar(10),			-- display class
dcp		varchar(1),			-- dcp defined flag
observer	varchar(1),			-- observer defined flag
telem_type	varchar(10)			-- telem type defined
);
create table telem       --reference-only
(
lid		varchar(8) not null,	-- location id
type		varchar(10),			-- type
payor		varchar(10),		-- agency that pays for
cost		float,				-- monthly cost
criteria	varchar(50),			-- reporting criteria
owner		varchar(10),		-- owner
phone		varchar(12),		-- device phone number
sensorid	varchar(10),		-- device sensor id
rptfreq		varchar(4),		-- reporting frequency
notify		varchar(1) 			-- non report notify flag
);
create table Temperature
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table TextProduct
(
product_id	varchar(10) not null,	-- product identifier
producttime	TIMESTAMP, 	-- time in product header
postingtime	TIMESTAMP, 	-- time of posting the product
prodtype	varchar(1) not null,	-- product type (F,L,O)
issnum		integer,			-- issuance number
product		text				-- product text
)
;
create table UnkStn
(
lid 		varchar(8)  not null,
product_id	varchar(10),
producttime	TIMESTAMP,
postingtime	TIMESTAMP
)
;
create table UnkStnValue
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
revision        smallint,
shef_qual_code  varchar(1),
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table UserPrefs
(
userid		varchar(32) not null,	-- user identifier
title		integer,	-- preferred title
statlist	integer,	-- preferred station list filter
sortlist	integer,	-- preferred station sort method
fieldlist	integer		-- preferred fields to list
);
create table WaterQuality
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table Weather
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table Wind
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table YUnique
(
lid             varchar(8)   not null,
pe              varchar(2)  not null,
dur             smallint           not null,
ts              varchar(2)  not null,
extremum        varchar(1)  not null,
obstime         TIMESTAMP  not null,
value           float,
shef_qual_code  varchar(1),
quality_code    integer,
revision        smallint,
product_id      varchar(10),
producttime     TIMESTAMP,
postingtime     TIMESTAMP
)
;
create table zonenum       --reference-only
(
lid		varchar(8) not null,	-- location id
state		varchar(2) not null,	-- state abbreviation
zonenum		varchar(3) not null		-- zone number
);
create table ColorName
(
color_name varchar(25) not null -- name of color
);
create table ColorOverlay
(
userid           varchar(32)         not null, -- UNIX userid that owns these values
application_name varchar(20)       not null, -- name of app using color overlay data
overlay_type     varchar(20)   not null, -- type of overlay that is colored
color_name       varchar(25)     not null  -- color name
);
create table ColorValue
(
userid           varchar(32)         not null, -- UNIX userid that owns these values
application_name varchar(20)       not null, -- name of app using color value data
color_use_name   varchar(15) not null, -- name of color usage within app
duration         integer                  not null, -- duration in seconds
threshold_value  float                    not null, -- threshold value, MISSING, or MIN
threshold_unit   varchar(1)           not null, -- threshold unit
						    -- = E (English) or M (Metric)
color_name       varchar(25)     not null  -- color name
);
create table HvAbsDesiredProd
(
end_hour       integer NOT NULL,
dur_hours      integer NOT NULL,
lookback_hours integer,
active 	       varchar(1)
);
create table HvRelDesiredProd
(
end_hour_offset      integer NOT NULL,
dur_hours            integer NOT NULL,
active 	             varchar(1)
);
create table NWRTransmitter
(
call_sign       varchar(6)   not null,  -- transmitter call sign
wfo             varchar(3),             -- console WFO identifier
city            varchar(20),       -- city
county          varchar(20),          -- county name
state           varchar(2),           -- U.S. state FIPS code
coverage_area   varchar(25),        -- name of area covered
lat		float,                     -- latitude
lon		float,                     -- longitude
transmit_freq   float,                     -- radio frequency (MHz)
transmit_power  integer,                   -- transmit power (watts)
transmit_prod_code varchar(3), -- special xxx code for tower products
transmit_countynum varchar(4),            -- special cnty num for tower county
use_transmitter    varchar(1)          -- active/inactive (T/F)
);
create table CountyTransmit
(
call_sign  varchar(6)  not null,  -- NWR transmitter call sign
county     varchar(20),    -- county covered by NWR transmitter
state      varchar(2)      -- U.S. state FIPS code
);
create table UnitGraph       --reference-only
(
lid		varchar(8) not null,	-- location id
area_id		varchar(8)  not null,     -- area identifier
dur		integer not null,		-- duration code
ordinal		integer not null,		-- x-axis
discharge	float	not null		-- discharge value in CFS
);
create table VTECrecord
(
record      varchar(2)  not null,
name        varchar(25)
);
create table VTECcause
(
immed_cause       varchar(2)  not null,  -- immediate cause field
name              varchar(25)		   -- description
);
create table VTECsever
(
severity    varchar(1)  not null,
name        varchar(25)
);
create table VTECaction
(
action      varchar(3)  not null,
name        varchar(25)
);
create table VTECphenom
(
phenom      varchar(2)  not null,
name        varchar(25)
);
create table VTECsignif
(
signif      varchar(1) not null,
name        varchar(25)
);
create table VTECevent
(
geoid		varchar(24)  not null,	-- ptid or grpid or county+state
product_id	varchar(10) not null,	-- full product id
producttime	TIMESTAMP not null, -- date-time on product
productmode	varchar(1),	-- product mode
geomode		varchar(4),		-- PT, GRP, or CNTY
action		varchar(3),		-- 1st Line, NEW, CON, EXT, etc.
office_id 	varchar(5),			-- responsible office
phenom  	varchar(2),		-- FL for flood
signif          varchar(1),		-- watch, warning, advisory, etc.
etn		smallint,			-- event tracking number
begintime	TIMESTAMP,	-- begin date-time of event
endtime		TIMESTAMP,	-- end date-time of event
severity	varchar(1),           -- 2nd Line, coded severity
immed_cause     varchar(2),           -- immediate cause
risetime        TIMESTAMP,        -- rise above flood level
cresttime       TIMESTAMP,        -- time of crest
falltime        TIMESTAMP,        -- fall below flood level
record          varchar(2)           -- compare to record
);
create table TimeZone
(
tzone		varchar(8) not null,  -- time zone code
name		varchar(30)       -- description
);
CREATE TABLE AdjustFactor
(
lid         varchar(8)   not null,
pe          varchar(2)  not null,
dur         smallint           not null,
ts          varchar(2)  not null,
extremum    varchar(1)  not null,
divisor     float,
base        float,
multiplier  float,
adder       float
);
create table LocArea
(
lid             varchar(8)   not null, -- station location id
area            varchar(80)              -- area information
);
